@import url("./components/common.css");
@import url("./components/social.css");
@import url("./components/footer.css");
@import url("./components/navbar.css");
@import url("./all.css");

.aboutWrapper{
  width: 90%;
  margin-top: 20px;
}
.aboutVideo{
  height: 250px;
  position: relative;
}
.videoWrapper{
  height: 100%;
}
.videoPlayer{
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.videoOverLay{
  background-color: #030b177a;
}
.videoText{
  position: absolute;
  top: 40%;
  text-align: center;
}
.videoText h2{
  color: var(--background);
  text-align: center;
}
.aboutDetails{
  margin-top: 20px;
}
.aboutCard{
  gap: 20px;
  flex-wrap: wrap;
  padding: 10px 0px;
}
.aboutCard:nth-child(even){
  flex-direction: row-reverse;
}
.aboutLeft{
  flex: 2;
}
.imageContainer{
  height: 350px;
  perspective: 700px;
  background-color: var(--background-2);
  border-radius: 10px;
}
.aboutImages{
  height: 100%;
  object-fit: cover;
  transition: all 1s ease-in-out;
  transform: rotateX(30deg);
  border-radius: 10px;
}

.aboutImages:hover{
  transform: rotate(0deg);
}
.aboutRight{
  flex: 3;
}
.aboutRight h1{
  color: var(--background-1);
  font-size: 30px;
}
.aboutDesc{
  letter-spacing: 1.2px;
  font-size: 18px;
  margin-top: 10px;
  text-align: center;
}
@media only screen and (max-width:780px){
  .aboutCard{
    flex-direction: column-reverse;
  }
  .aboutCard:nth-child(even){
    flex-direction:column-reverse;
  }
}